Inbox
An inbox object enables email ingestion to a related queue We enforce email domain to match Rossum domain (e.g. example.rossum.app). email_prefix may be used to construct unique email address.
Please note that due to security reasons, emails from Rossum do not contain processed files. This feature can be enabled upon request by customer support.
The filters attribute allows filtering of incoming emails and documents:
allowed_sendersanddenied_senderssettings allow filtering based on sender email address using wildcards (*matches everything,?matches any single character)document_rejection_conditionsdefines rules for filtering incoming documents via email. See document rejection conditions object
Several bounce-related attributes are deprecated and their configuration has moved to Email notifications settings.
Inbox
ID of the inbox.
Name of the inbox (not visible in UI).
URL of the inbox.
Queue that receives documents from inbox. Queue has to be passed in list due to backward compatibility. It is possible to have only one queue per inbox.
Rossum email address (e.g. east-west-trading-co-a34f3a@example.rossum.app).
Rossum email address prefix (e.g. east-west-trading-co). Maximum length allowed is 57 chars.
(Deprecated) Email address to send notifications to (e.g. about failed import). Configuration moved to Email notifications settings.
(Deprecated) Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is postponed. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is deleted. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when no processable documents were found. Configuration moved to Email notifications settings.
Default:trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Decides what to do with incoming emails, that don't pass the DMARC check.
Default:"accept"User that last modified the object.
Timestamp of last modification.
List inboxes
GET api / v1 / inboxes
Retrieve all inbox objects.
curl -X GET "https://example.rossum.app/api/v1/inboxes"{
"results": [
{
"id": 1234,
"name": "Receipts",
"url": "https://example.rossum.app/api/v1/inboxes/1234",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"email": "east-west-trading-co-a34f3a@example.rossum.app",
"email_prefix": "east-west-trading-co",
"bounce_email_to": "bounces@east-west.com",
"bounce_unprocessable_attachments": false,
"bounce_postponed_annotations": false,
"bounce_deleted_annotations": false,
"bounce_email_with_no_attachments": true,
"metadata": {
"some_key": "some_value"
},
"filters": {
"allowed_senders": [
"*@rossum.ai",
"john.doe@company.com",
"john.doe@company.??"
],
"denied_senders": [
"spam@*"
],
"document_rejection_conditions": {
"enabled": true,
"resolution_lower_than_px": [
1200,
600
],
"file_size_less_than_b": null,
"mime_types": [
"image/gif"
],
"file_name_regexes": null
}
},
"dmarc_check_action": "accept",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}
],
"pagination": {
"next": null,
"previous": null
}
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Create inbox
POST api / v1 / inboxes
Create a new inbox object.
curl -X POST "https://example.rossum.app/api/v1/inboxes" \ -H "Content-Type: application/json" \ -d '{ "name": "Receipts", "queues": [ "https://example.rossum.app/api/v1/queues/8199" ], "email_prefix": "east-west-trading-co" }'{
"id": 1234,
"name": "Receipts",
"url": "https://example.rossum.app/api/v1/inboxes/1234",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"email": "east-west-trading-co-a34f3a@example.rossum.app",
"email_prefix": "east-west-trading-co",
"bounce_email_to": "bounces@east-west.com",
"bounce_unprocessable_attachments": false,
"bounce_postponed_annotations": false,
"bounce_deleted_annotations": false,
"bounce_email_with_no_attachments": true,
"metadata": {
"some_key": "some_value"
},
"filters": {
"allowed_senders": [
"*@rossum.ai",
"john.doe@company.com",
"john.doe@company.??"
],
"denied_senders": [
"spam@*"
],
"document_rejection_conditions": {
"enabled": true,
"resolution_lower_than_px": [
1200,
600
],
"file_size_less_than_b": null,
"mime_types": [
"image/gif"
],
"file_name_regexes": null
}
},
"dmarc_check_action": "accept",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the inbox (not visible in UI).
Queue that receives documents from inbox. Queue has to be passed in list due to backward compatibility. It is possible to have only one queue per inbox.
Rossum email address (e.g. east-west-trading-co-a34f3a@example.rossum.app).
Rossum email address prefix (e.g. east-west-trading-co). Maximum length allowed is 57 chars.
(Deprecated) Email address to send notifications to (e.g. about failed import). Configuration moved to Email notifications settings.
(Deprecated) Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is postponed. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is deleted. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when no processable documents were found. Configuration moved to Email notifications settings.
Default:trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Decides what to do with incoming emails, that don't pass the DMARC check.
Default:"accept"Response
Created
ID of the inbox.
Name of the inbox (not visible in UI).
URL of the inbox.
Queue that receives documents from inbox. Queue has to be passed in list due to backward compatibility. It is possible to have only one queue per inbox.
Rossum email address (e.g. east-west-trading-co-a34f3a@example.rossum.app).
Rossum email address prefix (e.g. east-west-trading-co). Maximum length allowed is 57 chars.
(Deprecated) Email address to send notifications to (e.g. about failed import). Configuration moved to Email notifications settings.
(Deprecated) Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is postponed. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is deleted. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when no processable documents were found. Configuration moved to Email notifications settings.
Default:trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Decides what to do with incoming emails, that don't pass the DMARC check.
Default:"accept"User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Retrieve inbox
GET api / v1 / inboxes / {inboxID}
Get an inbox object.
curl -X GET "https://example.rossum.app/api/v1/inboxes/0"{
"id": 1234,
"name": "Receipts",
"url": "https://example.rossum.app/api/v1/inboxes/1234",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"email": "east-west-trading-co-a34f3a@example.rossum.app",
"email_prefix": "east-west-trading-co",
"bounce_email_to": "bounces@east-west.com",
"bounce_unprocessable_attachments": false,
"bounce_postponed_annotations": false,
"bounce_deleted_annotations": false,
"bounce_email_with_no_attachments": true,
"metadata": {
"some_key": "some_value"
},
"filters": {
"allowed_senders": [
"*@rossum.ai",
"john.doe@company.com",
"john.doe@company.??"
],
"denied_senders": [
"spam@*"
],
"document_rejection_conditions": {
"enabled": true,
"resolution_lower_than_px": [
1200,
600
],
"file_size_less_than_b": null,
"mime_types": [
"image/gif"
],
"file_name_regexes": null
}
},
"dmarc_check_action": "accept",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
ID of the inbox.
Name of the inbox (not visible in UI).
URL of the inbox.
Queue that receives documents from inbox. Queue has to be passed in list due to backward compatibility. It is possible to have only one queue per inbox.
Rossum email address (e.g. east-west-trading-co-a34f3a@example.rossum.app).
Rossum email address prefix (e.g. east-west-trading-co). Maximum length allowed is 57 chars.
(Deprecated) Email address to send notifications to (e.g. about failed import). Configuration moved to Email notifications settings.
(Deprecated) Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is postponed. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is deleted. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when no processable documents were found. Configuration moved to Email notifications settings.
Default:trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Decides what to do with incoming emails, that don't pass the DMARC check.
Default:"accept"User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Partial update inbox
PATCH api / v1 / inboxes / {inboxID}
Update a part of inbox object.
curl -X PATCH "https://example.rossum.app/api/v1/inboxes/0" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 1234,
"name": "Receipts",
"url": "https://example.rossum.app/api/v1/inboxes/1234",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"email": "east-west-trading-co-a34f3a@example.rossum.app",
"email_prefix": "east-west-trading-co",
"bounce_email_to": "bounces@east-west.com",
"bounce_unprocessable_attachments": false,
"bounce_postponed_annotations": false,
"bounce_deleted_annotations": false,
"bounce_email_with_no_attachments": true,
"metadata": {
"some_key": "some_value"
},
"filters": {
"allowed_senders": [
"*@rossum.ai",
"john.doe@company.com",
"john.doe@company.??"
],
"denied_senders": [
"spam@*"
],
"document_rejection_conditions": {
"enabled": true,
"resolution_lower_than_px": [
1200,
600
],
"file_size_less_than_b": null,
"mime_types": [
"image/gif"
],
"file_name_regexes": null
}
},
"dmarc_check_action": "accept",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the inbox (not visible in UI).
Queue that receives documents from inbox. Queue has to be passed in list due to backward compatibility. It is possible to have only one queue per inbox.
Rossum email address (e.g. east-west-trading-co-a34f3a@example.rossum.app).
Rossum email address prefix (e.g. east-west-trading-co). Maximum length allowed is 57 chars.
(Deprecated) Email address to send notifications to (e.g. about failed import). Configuration moved to Email notifications settings.
(Deprecated) Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is postponed. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is deleted. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when no processable documents were found. Configuration moved to Email notifications settings.
Default:trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Decides what to do with incoming emails, that don't pass the DMARC check.
Default:"accept"Response
OK
ID of the inbox.
Name of the inbox (not visible in UI).
URL of the inbox.
Queue that receives documents from inbox. Queue has to be passed in list due to backward compatibility. It is possible to have only one queue per inbox.
Rossum email address (e.g. east-west-trading-co-a34f3a@example.rossum.app).
Rossum email address prefix (e.g. east-west-trading-co). Maximum length allowed is 57 chars.
(Deprecated) Email address to send notifications to (e.g. about failed import). Configuration moved to Email notifications settings.
(Deprecated) Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is postponed. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is deleted. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when no processable documents were found. Configuration moved to Email notifications settings.
Default:trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Decides what to do with incoming emails, that don't pass the DMARC check.
Default:"accept"User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Delete inbox
DELETE api / v1 / inboxes / {inboxID}
Delete inbox object.
curl -X DELETE "https://example.rossum.app/api/v1/inboxes/0"{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
No Content
No response body.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Update inbox
PUT api / v1 / inboxes / {inboxID}
Update inbox object.
curl -X PUT "https://example.rossum.app/api/v1/inboxes/0" \ -H "Content-Type: application/json" \ -d '{ "name": "Receipts", "queues": [ "https://example.rossum.app/api/v1/queues/8199" ], "email_prefix": "east-west-trading-co" }'{
"id": 1234,
"name": "Receipts",
"url": "https://example.rossum.app/api/v1/inboxes/1234",
"queues": [
"https://example.rossum.app/api/v1/queues/8199"
],
"email": "east-west-trading-co-a34f3a@example.rossum.app",
"email_prefix": "east-west-trading-co",
"bounce_email_to": "bounces@east-west.com",
"bounce_unprocessable_attachments": false,
"bounce_postponed_annotations": false,
"bounce_deleted_annotations": false,
"bounce_email_with_no_attachments": true,
"metadata": {
"some_key": "some_value"
},
"filters": {
"allowed_senders": [
"*@rossum.ai",
"john.doe@company.com",
"john.doe@company.??"
],
"denied_senders": [
"spam@*"
],
"document_rejection_conditions": {
"enabled": true,
"resolution_lower_than_px": [
1200,
600
],
"file_size_less_than_b": null,
"mime_types": [
"image/gif"
],
"file_name_regexes": null
}
},
"dmarc_check_action": "accept",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the inbox (not visible in UI).
Queue that receives documents from inbox. Queue has to be passed in list due to backward compatibility. It is possible to have only one queue per inbox.
Rossum email address (e.g. east-west-trading-co-a34f3a@example.rossum.app).
Rossum email address prefix (e.g. east-west-trading-co). Maximum length allowed is 57 chars.
(Deprecated) Email address to send notifications to (e.g. about failed import). Configuration moved to Email notifications settings.
(Deprecated) Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is postponed. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is deleted. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when no processable documents were found. Configuration moved to Email notifications settings.
Default:trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Decides what to do with incoming emails, that don't pass the DMARC check.
Default:"accept"Response
OK
ID of the inbox.
Name of the inbox (not visible in UI).
URL of the inbox.
Queue that receives documents from inbox. Queue has to be passed in list due to backward compatibility. It is possible to have only one queue per inbox.
Rossum email address (e.g. east-west-trading-co-a34f3a@example.rossum.app).
Rossum email address prefix (e.g. east-west-trading-co). Maximum length allowed is 57 chars.
(Deprecated) Email address to send notifications to (e.g. about failed import). Configuration moved to Email notifications settings.
(Deprecated) Whether return back unprocessable attachments (e.g. MS Word docx) or just silently ignore them. When true, minimum image size requirement does not apply. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is postponed. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when annotation is deleted. Configuration moved to Email notifications settings.
Default:false(Deprecated) Whether to send notification when no processable documents were found. Configuration moved to Email notifications settings.
Default:trueClient data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Decides what to do with incoming emails, that don't pass the DMARC check.
Default:"accept"User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error